#!/usr/bin/make -f
# Makefile for pure data externals in lib creb.
# Needs Makefile.pdlibbuilder to work (https://github.com/pure-data/pd-lib-builder)
punish.name = doublechord

lib.name = $(punish.name)-plugin

# special file that does not provide a class
lib.setup.sources = 

# all other C and C++ files in subdirs are source files per class
# (alternatively, enumerate them by hand)
class.sources = $(punish.name).c

datafiles = \
$(punish.name)-plugin.tcl \
$(wildcard *-help.pd) \
README.md LICENSE.md

datadirs =  

################################################################################
### pdlibbuilder ###############################################################
################################################################################

# Include Makefile.pdlibbuilder from this directory,
# or else from some user-defined folder
PDLIBBUILDER_DIR=./
include $(PDLIBBUILDER_DIR)/Makefile.pdlibbuilder
